<?php
class AddedSupportForRestrictingTemplatesToModels extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'added_support_for_restricting_templates_to_models';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_templates_templates' => array(
					'model' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 150, 'collate' => 'utf8mb4_unicode_ci', 'charset' => 'utf8mb4', 'after' => 'enable_sliders'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_templates_templates' => array('model'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
